curl -X PATCH https://api.reel25.com/api/v1/folders/f1a2b3c4-... \
-H "Authorization: Bearer reel25_sk_..." \
-H "Content-Type: application/json" \
-d '{"name": "Top Competitors Q1"}'
const response = await fetch(
'https://api.reel25.com/api/v1/folders/f1a2b3c4-...',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ name: 'Top Competitors Q1' }),
}
);
import requests
response = requests.patch(
f'https://api.reel25.com/api/v1/folders/{folder_id}',
headers={
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
json={'name': 'Top Competitors Q1'}
)
{
"data": {
"id": "f1a2b3c4-...",
"name": "Top Competitors Q1"
},
"message": "Folder updated"
}
Folder Management
Update Folder
Update a folder’s name
PATCH
/
api
/
v1
/
folders
/
{id}
curl -X PATCH https://api.reel25.com/api/v1/folders/f1a2b3c4-... \
-H "Authorization: Bearer reel25_sk_..." \
-H "Content-Type: application/json" \
-d '{"name": "Top Competitors Q1"}'
const response = await fetch(
'https://api.reel25.com/api/v1/folders/f1a2b3c4-...',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ name: 'Top Competitors Q1' }),
}
);
import requests
response = requests.patch(
f'https://api.reel25.com/api/v1/folders/{folder_id}',
headers={
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
json={'name': 'Top Competitors Q1'}
)
{
"data": {
"id": "f1a2b3c4-...",
"name": "Top Competitors Q1"
},
"message": "Folder updated"
}
Update the name of an existing folder.
Path parameters
string
required
The folder UUID.
Body parameters
string
New folder name. Max 255 characters.
curl -X PATCH https://api.reel25.com/api/v1/folders/f1a2b3c4-... \
-H "Authorization: Bearer reel25_sk_..." \
-H "Content-Type: application/json" \
-d '{"name": "Top Competitors Q1"}'
const response = await fetch(
'https://api.reel25.com/api/v1/folders/f1a2b3c4-...',
{
method: 'PATCH',
headers: {
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
body: JSON.stringify({ name: 'Top Competitors Q1' }),
}
);
import requests
response = requests.patch(
f'https://api.reel25.com/api/v1/folders/{folder_id}',
headers={
'Authorization': 'Bearer reel25_sk_...',
'Content-Type': 'application/json',
},
json={'name': 'Top Competitors Q1'}
)
{
"data": {
"id": "f1a2b3c4-...",
"name": "Top Competitors Q1"
},
"message": "Folder updated"
}
Was this page helpful?